/**************************************************************************//**
* @file
* @brief em359x_mac Register and Bit Field definitions
* @version 5.8.3
******************************************************************************
* @section License
* <b>(C) Copyright 2014 Silicon Labs, www.silabs.com</b>
*******************************************************************************
*
* Permission is granted to anyone to use this software for any purpose,
* including commercial applications, and to alter it and redistribute it
* freely, subject to the following restrictions:
*
* 1. The origin of this software must not be misrepresented; you must not
*    claim that you wrote the original software.
* 2. Altered source versions must be plainly marked as such, and must not be
*    misrepresented as being the original software.
* 3. This notice may not be removed or altered from any source distribution.
*
* DISCLAIMER OF WARRANTY/LIMITATION OF REMEDIES: Silicon Labs has no
* obligation to support this Software. Silicon Labs is providing the
* Software "AS IS", with no express or implied warranties of any kind,
* including, but not limited to, any implied warranties of merchantability
* or fitness for any particular purpose or warranties against infringement
* of any proprietary rights of a third party.
*
* Silicon Labs will not be liable for any consequential, incidental, or
* special damages, or any other relief, or for any claim by any third party,
* arising from your use of this Software.
*
******************************************************************************/

#ifndef EM359X_MAC_H
#define EM359X_MAC_H

/**************************************************************************//**
 * @defgroup EM359X_MAC
 * @{
 * @brief EM359X_MAC Register Declaration
 *****************************************************************************/

typedef struct {
  __IOM uint32_t RXSTADDRA;
  __IOM uint32_t RXENDADDRA;
  __IOM uint32_t RXSTADDRB;
  __IOM uint32_t RXENDADDRB;
  __IOM uint32_t TXSTADDRA;
  __IOM uint32_t TXENDADDRA;
  __IOM uint32_t TXSTADDRB;
  __IOM uint32_t TXENDADDRB;
  __IM uint32_t RXACOUNT;
  __IM uint32_t RXBCOUNT;
  __IM uint32_t TXCOUNT;
  __IM uint32_t DMASTATUS;
  __IOM uint32_t DMACONFIG;
  uint32_t RESERVED0[1];
  __IOM uint32_t TIMER;
  uint32_t RESERVED1[1];
  __IOM uint32_t TIMERCOMPAREAH;
  __IOM uint32_t TIMERCOMPAREAL;
  __IOM uint32_t TIMERCOMPAREBH;
  __IOM uint32_t TIMERCOMPAREBL;
  __IM uint32_t TIMERCAPTUREH;
  __IM uint32_t TIMERCAPTUREL;
  __IOM uint32_t BOTIMER;
  __IOM uint32_t BOPTIMER;
  __IOM uint32_t TXSTROBE;
  __IOM uint32_t ACKSTROBE;
  __IM uint32_t STATUS;
  __IM uint32_t TXCRC;
  __IM uint32_t RXCRC;
  __IOM uint32_t ACKTO;
  __IOM uint32_t BOPCOMPARE;
  __IOM uint32_t TXACKFRAME;
  __IOM uint32_t CONFIG;
  __IOM uint32_t RXCONFIG;
  __IOM uint32_t TXCONFIG;
  __IOM uint32_t TIMERCTRL;
  __IOM uint32_t PANID;
  __IOM uint32_t SHORTADDR;
  __IOM uint32_t EXTADDR0;
  __IOM uint32_t EXTADDR1;
  __IOM uint32_t EXTADDR2;
  __IOM uint32_t EXTADDR3;
  __IM uint32_t STATE;
  __IM uint32_t RXSTATE;
  __IM uint32_t TXSTATE;
  __IM uint32_t DMASTATE;
  __IOM uint32_t DBG;
  __IM uint32_t DBGVIEW;
  __IOM uint32_t RSSIDELAY;
  __IM uint32_t PANIDCOUNT;
  __IM uint32_t NONPANCOUNT;
} MAC_TypeDef;              /** @} */

/**************************************************************************//**
 * @defgroup EM359X_MAC_BitFields
 * @{
 *****************************************************************************/

/* Bit fields for MAC RXSTADDRA */
#define _MAC_RXSTADDRA_RESETVALUE           0x20000000UL
#define _MAC_RXSTADDRA_MASK                 0xFFFFFFFEUL
#define _MAC_RXSTADDRA_RAMOFFS_SHIFT        16
#define _MAC_RXSTADDRA_RAMOFFS_MASK         0xFFFF0000UL
#define _MAC_RXSTADDRA_RAMOFFS_DEFAULT      0x00002000UL
#define MAC_RXSTADDRA_RAMOFFS_DEFAULT       (_MAC_RXSTADDRA_RAMOFFS_DEFAULT << 16)
#define _MAC_RXSTADDRA_RXSTADDRA_SHIFT      1
#define _MAC_RXSTADDRA_RXSTADDRA_MASK       0xFFFEUL
#define _MAC_RXSTADDRA_RXSTADDRA_DEFAULT    0x00000000UL
#define MAC_RXSTADDRA_RXSTADDRA_DEFAULT     (_MAC_RXSTADDRA_RXSTADDRA_DEFAULT << 1)

/* Bit fields for MAC RXENDADDRA */
#define _MAC_RXENDADDRA_RESETVALUE            0x20000088UL
#define _MAC_RXENDADDRA_MASK                  0xFFFFFFFEUL
#define _MAC_RXENDADDRA_RAMOFFS_SHIFT         16
#define _MAC_RXENDADDRA_RAMOFFS_MASK          0xFFFF0000UL
#define _MAC_RXENDADDRA_RAMOFFS_DEFAULT       0x00002000UL
#define MAC_RXENDADDRA_RAMOFFS_DEFAULT        (_MAC_RXENDADDRA_RAMOFFS_DEFAULT << 16)
#define _MAC_RXENDADDRA_RXENDADDRA_SHIFT      1
#define _MAC_RXENDADDRA_RXENDADDRA_MASK       0xFFFEUL
#define _MAC_RXENDADDRA_RXENDADDRA_DEFAULT    0x00000044UL
#define MAC_RXENDADDRA_RXENDADDRA_DEFAULT     (_MAC_RXENDADDRA_RXENDADDRA_DEFAULT << 1)

/* Bit fields for MAC RXSTADDRB */
#define _MAC_RXSTADDRB_RESETVALUE           0x20000000UL
#define _MAC_RXSTADDRB_MASK                 0xFFFFFFFEUL
#define _MAC_RXSTADDRB_RAMOFFS_SHIFT        16
#define _MAC_RXSTADDRB_RAMOFFS_MASK         0xFFFF0000UL
#define _MAC_RXSTADDRB_RAMOFFS_DEFAULT      0x00002000UL
#define MAC_RXSTADDRB_RAMOFFS_DEFAULT       (_MAC_RXSTADDRB_RAMOFFS_DEFAULT << 16)
#define _MAC_RXSTADDRB_RXSTADDRB_SHIFT      1
#define _MAC_RXSTADDRB_RXSTADDRB_MASK       0xFFFEUL
#define _MAC_RXSTADDRB_RXSTADDRB_DEFAULT    0x00000000UL
#define MAC_RXSTADDRB_RXSTADDRB_DEFAULT     (_MAC_RXSTADDRB_RXSTADDRB_DEFAULT << 1)

/* Bit fields for MAC RXENDADDRB */
#define _MAC_RXENDADDRB_RESETVALUE            0x20000088UL
#define _MAC_RXENDADDRB_MASK                  0xFFFFFFFEUL
#define _MAC_RXENDADDRB_RAMOFFS_SHIFT         16
#define _MAC_RXENDADDRB_RAMOFFS_MASK          0xFFFF0000UL
#define _MAC_RXENDADDRB_RAMOFFS_DEFAULT       0x00002000UL
#define MAC_RXENDADDRB_RAMOFFS_DEFAULT        (_MAC_RXENDADDRB_RAMOFFS_DEFAULT << 16)
#define _MAC_RXENDADDRB_RXENDADDRB_SHIFT      1
#define _MAC_RXENDADDRB_RXENDADDRB_MASK       0xFFFEUL
#define _MAC_RXENDADDRB_RXENDADDRB_DEFAULT    0x00000044UL
#define MAC_RXENDADDRB_RXENDADDRB_DEFAULT     (_MAC_RXENDADDRB_RXENDADDRB_DEFAULT << 1)

/* Bit fields for MAC TXSTADDRA */
#define _MAC_TXSTADDRA_RESETVALUE           0x20000000UL
#define _MAC_TXSTADDRA_MASK                 0xFFFFFFFEUL
#define _MAC_TXSTADDRA_RAMOFFS_SHIFT        16
#define _MAC_TXSTADDRA_RAMOFFS_MASK         0xFFFF0000UL
#define _MAC_TXSTADDRA_RAMOFFS_DEFAULT      0x00002000UL
#define MAC_TXSTADDRA_RAMOFFS_DEFAULT       (_MAC_TXSTADDRA_RAMOFFS_DEFAULT << 16)
#define _MAC_TXSTADDRA_TXSTADDRA_SHIFT      1
#define _MAC_TXSTADDRA_TXSTADDRA_MASK       0xFFFEUL
#define _MAC_TXSTADDRA_TXSTADDRA_DEFAULT    0x00000000UL
#define MAC_TXSTADDRA_TXSTADDRA_DEFAULT     (_MAC_TXSTADDRA_TXSTADDRA_DEFAULT << 1)

/* Bit fields for MAC TXENDADDRA */
#define _MAC_TXENDADDRA_RESETVALUE            0x20000000UL
#define _MAC_TXENDADDRA_MASK                  0xFFFFFFFEUL
#define _MAC_TXENDADDRA_RAMOFFS_SHIFT         16
#define _MAC_TXENDADDRA_RAMOFFS_MASK          0xFFFF0000UL
#define _MAC_TXENDADDRA_RAMOFFS_DEFAULT       0x00002000UL
#define MAC_TXENDADDRA_RAMOFFS_DEFAULT        (_MAC_TXENDADDRA_RAMOFFS_DEFAULT << 16)
#define _MAC_TXENDADDRA_TXENDADDRA_SHIFT      1
#define _MAC_TXENDADDRA_TXENDADDRA_MASK       0xFFFEUL
#define _MAC_TXENDADDRA_TXENDADDRA_DEFAULT    0x00000000UL
#define MAC_TXENDADDRA_TXENDADDRA_DEFAULT     (_MAC_TXENDADDRA_TXENDADDRA_DEFAULT << 1)

/* Bit fields for MAC TXSTADDRB */
#define _MAC_TXSTADDRB_RESETVALUE           0x20000000UL
#define _MAC_TXSTADDRB_MASK                 0xFFFFFFFEUL
#define _MAC_TXSTADDRB_RAMOFFS_SHIFT        16
#define _MAC_TXSTADDRB_RAMOFFS_MASK         0xFFFF0000UL
#define _MAC_TXSTADDRB_RAMOFFS_DEFAULT      0x00002000UL
#define MAC_TXSTADDRB_RAMOFFS_DEFAULT       (_MAC_TXSTADDRB_RAMOFFS_DEFAULT << 16)
#define _MAC_TXSTADDRB_TXSTADDRB_SHIFT      1
#define _MAC_TXSTADDRB_TXSTADDRB_MASK       0xFFFEUL
#define _MAC_TXSTADDRB_TXSTADDRB_DEFAULT    0x00000000UL
#define MAC_TXSTADDRB_TXSTADDRB_DEFAULT     (_MAC_TXSTADDRB_TXSTADDRB_DEFAULT << 1)

/* Bit fields for MAC TXENDADDRB */
#define _MAC_TXENDADDRB_RESETVALUE            0x20000000UL
#define _MAC_TXENDADDRB_MASK                  0xFFFFFFFEUL
#define _MAC_TXENDADDRB_RAMOFFS_SHIFT         16
#define _MAC_TXENDADDRB_RAMOFFS_MASK          0xFFFF0000UL
#define _MAC_TXENDADDRB_RAMOFFS_DEFAULT       0x00002000UL
#define MAC_TXENDADDRB_RAMOFFS_DEFAULT        (_MAC_TXENDADDRB_RAMOFFS_DEFAULT << 16)
#define _MAC_TXENDADDRB_TXENDADDRB_SHIFT      1
#define _MAC_TXENDADDRB_TXENDADDRB_MASK       0xFFFEUL
#define _MAC_TXENDADDRB_TXENDADDRB_DEFAULT    0x00000000UL
#define MAC_TXENDADDRB_TXENDADDRB_DEFAULT     (_MAC_TXENDADDRB_TXENDADDRB_DEFAULT << 1)

/* Bit fields for MAC RXACOUNT */
#define _MAC_RXACOUNT_RESETVALUE          0x00000000UL
#define _MAC_RXACOUNT_MASK                0x000007FFUL
#define _MAC_RXACOUNT_RXACOUNT_SHIFT      0
#define _MAC_RXACOUNT_RXACOUNT_MASK       0x7FFUL
#define _MAC_RXACOUNT_RXACOUNT_DEFAULT    0x00000000UL
#define MAC_RXACOUNT_RXACOUNT_DEFAULT     (_MAC_RXACOUNT_RXACOUNT_DEFAULT << 0)

/* Bit fields for MAC RXBCOUNT */
#define _MAC_RXBCOUNT_RESETVALUE          0x00000000UL
#define _MAC_RXBCOUNT_MASK                0x000007FFUL
#define _MAC_RXBCOUNT_RXBCOUNT_SHIFT      0
#define _MAC_RXBCOUNT_RXBCOUNT_MASK       0x7FFUL
#define _MAC_RXBCOUNT_RXBCOUNT_DEFAULT    0x00000000UL
#define MAC_RXBCOUNT_RXBCOUNT_DEFAULT     (_MAC_RXBCOUNT_RXBCOUNT_DEFAULT << 0)

/* Bit fields for MAC TXCOUNT */
#define _MAC_TXCOUNT_RESETVALUE         0x00000000UL
#define _MAC_TXCOUNT_MASK               0x000007FFUL
#define _MAC_TXCOUNT_TXCOUNT_SHIFT      0
#define _MAC_TXCOUNT_TXCOUNT_MASK       0x7FFUL
#define _MAC_TXCOUNT_TXCOUNT_DEFAULT    0x00000000UL
#define MAC_TXCOUNT_TXCOUNT_DEFAULT     (_MAC_TXCOUNT_TXCOUNT_DEFAULT << 0)

/* Bit fields for MAC DMASTATUS */
#define _MAC_DMASTATUS_RESETVALUE           0x00000000UL
#define _MAC_DMASTATUS_MASK                 0x0000000FUL
#define MAC_DMASTATUS_TXACTIVEB             (0x1UL << 3)
#define _MAC_DMASTATUS_TXACTIVEB_SHIFT      3
#define _MAC_DMASTATUS_TXACTIVEB_MASK       0x8UL
#define _MAC_DMASTATUS_TXACTIVEB_DEFAULT    0x00000000UL
#define MAC_DMASTATUS_TXACTIVEB_DEFAULT     (_MAC_DMASTATUS_TXACTIVEB_DEFAULT << 3)
#define MAC_DMASTATUS_TXACTIVEA             (0x1UL << 2)
#define _MAC_DMASTATUS_TXACTIVEA_SHIFT      2
#define _MAC_DMASTATUS_TXACTIVEA_MASK       0x4UL
#define _MAC_DMASTATUS_TXACTIVEA_DEFAULT    0x00000000UL
#define MAC_DMASTATUS_TXACTIVEA_DEFAULT     (_MAC_DMASTATUS_TXACTIVEA_DEFAULT << 2)
#define MAC_DMASTATUS_RXACTIVEB             (0x1UL << 1)
#define _MAC_DMASTATUS_RXACTIVEB_SHIFT      1
#define _MAC_DMASTATUS_RXACTIVEB_MASK       0x2UL
#define _MAC_DMASTATUS_RXACTIVEB_DEFAULT    0x00000000UL
#define MAC_DMASTATUS_RXACTIVEB_DEFAULT     (_MAC_DMASTATUS_RXACTIVEB_DEFAULT << 1)
#define MAC_DMASTATUS_RXACTIVEA             (0x1UL << 0)
#define _MAC_DMASTATUS_RXACTIVEA_SHIFT      0
#define _MAC_DMASTATUS_RXACTIVEA_MASK       0x1UL
#define _MAC_DMASTATUS_RXACTIVEA_DEFAULT    0x00000000UL
#define MAC_DMASTATUS_RXACTIVEA_DEFAULT     (_MAC_DMASTATUS_RXACTIVEA_DEFAULT << 0)

/* Bit fields for MAC DMACONFIG */
#define _MAC_DMACONFIG_RESETVALUE            0x00000000UL
#define _MAC_DMACONFIG_MASK                  0x0000003FUL
#define MAC_DMACONFIG_TXDMARESET             (0x1UL << 5)
#define _MAC_DMACONFIG_TXDMARESET_SHIFT      5
#define _MAC_DMACONFIG_TXDMARESET_MASK       0x20UL
#define _MAC_DMACONFIG_TXDMARESET_DEFAULT    0x00000000UL
#define MAC_DMACONFIG_TXDMARESET_DEFAULT     (_MAC_DMACONFIG_TXDMARESET_DEFAULT << 5)
#define MAC_DMACONFIG_RXDMARESET             (0x1UL << 4)
#define _MAC_DMACONFIG_RXDMARESET_SHIFT      4
#define _MAC_DMACONFIG_RXDMARESET_MASK       0x10UL
#define _MAC_DMACONFIG_RXDMARESET_DEFAULT    0x00000000UL
#define MAC_DMACONFIG_RXDMARESET_DEFAULT     (_MAC_DMACONFIG_RXDMARESET_DEFAULT << 4)
#define MAC_DMACONFIG_TXLOADB                (0x1UL << 3)
#define _MAC_DMACONFIG_TXLOADB_SHIFT         3
#define _MAC_DMACONFIG_TXLOADB_MASK          0x8UL
#define _MAC_DMACONFIG_TXLOADB_DEFAULT       0x00000000UL
#define MAC_DMACONFIG_TXLOADB_DEFAULT        (_MAC_DMACONFIG_TXLOADB_DEFAULT << 3)
#define MAC_DMACONFIG_TXLOADA                (0x1UL << 2)
#define _MAC_DMACONFIG_TXLOADA_SHIFT         2
#define _MAC_DMACONFIG_TXLOADA_MASK          0x4UL
#define _MAC_DMACONFIG_TXLOADA_DEFAULT       0x00000000UL
#define MAC_DMACONFIG_TXLOADA_DEFAULT        (_MAC_DMACONFIG_TXLOADA_DEFAULT << 2)
#define MAC_DMACONFIG_RXLOADB                (0x1UL << 1)
#define _MAC_DMACONFIG_RXLOADB_SHIFT         1
#define _MAC_DMACONFIG_RXLOADB_MASK          0x2UL
#define _MAC_DMACONFIG_RXLOADB_DEFAULT       0x00000000UL
#define MAC_DMACONFIG_RXLOADB_DEFAULT        (_MAC_DMACONFIG_RXLOADB_DEFAULT << 1)
#define MAC_DMACONFIG_RXLOADA                (0x1UL << 0)
#define _MAC_DMACONFIG_RXLOADA_SHIFT         0
#define _MAC_DMACONFIG_RXLOADA_MASK          0x1UL
#define _MAC_DMACONFIG_RXLOADA_DEFAULT       0x00000000UL
#define MAC_DMACONFIG_RXLOADA_DEFAULT        (_MAC_DMACONFIG_RXLOADA_DEFAULT << 0)

/* Bit fields for MAC TIMER */
#define _MAC_TIMER_RESETVALUE       0x00000000UL
#define _MAC_TIMER_MASK             0x000FFFFFUL
#define _MAC_TIMER_TIMER_SHIFT      0
#define _MAC_TIMER_TIMER_MASK       0xFFFFFUL
#define _MAC_TIMER_TIMER_DEFAULT    0x00000000UL
#define MAC_TIMER_TIMER_DEFAULT     (_MAC_TIMER_TIMER_DEFAULT << 0)

/* Bit fields for MAC TIMERCOMPAREAH */
#define _MAC_TIMERCOMPAREAH_RESETVALUE           0x00000000UL
#define _MAC_TIMERCOMPAREAH_MASK                 0x0000000FUL
#define _MAC_TIMERCOMPAREAH_COMPAREAH_SHIFT      0
#define _MAC_TIMERCOMPAREAH_COMPAREAH_MASK       0xFUL
#define _MAC_TIMERCOMPAREAH_COMPAREAH_DEFAULT    0x00000000UL
#define MAC_TIMERCOMPAREAH_COMPAREAH_DEFAULT     (_MAC_TIMERCOMPAREAH_COMPAREAH_DEFAULT << 0)

/* Bit fields for MAC TIMERCOMPAREAL */
#define _MAC_TIMERCOMPAREAL_RESETVALUE           0x00000000UL
#define _MAC_TIMERCOMPAREAL_MASK                 0x0000FFFFUL
#define _MAC_TIMERCOMPAREAL_COMPAREAL_SHIFT      0
#define _MAC_TIMERCOMPAREAL_COMPAREAL_MASK       0xFFFFUL
#define _MAC_TIMERCOMPAREAL_COMPAREAL_DEFAULT    0x00000000UL
#define MAC_TIMERCOMPAREAL_COMPAREAL_DEFAULT     (_MAC_TIMERCOMPAREAL_COMPAREAL_DEFAULT << 0)

/* Bit fields for MAC TIMERCOMPAREBH */
#define _MAC_TIMERCOMPAREBH_RESETVALUE           0x00000000UL
#define _MAC_TIMERCOMPAREBH_MASK                 0x0000000FUL
#define _MAC_TIMERCOMPAREBH_COMPAREBH_SHIFT      0
#define _MAC_TIMERCOMPAREBH_COMPAREBH_MASK       0xFUL
#define _MAC_TIMERCOMPAREBH_COMPAREBH_DEFAULT    0x00000000UL
#define MAC_TIMERCOMPAREBH_COMPAREBH_DEFAULT     (_MAC_TIMERCOMPAREBH_COMPAREBH_DEFAULT << 0)

/* Bit fields for MAC TIMERCOMPAREBL */
#define _MAC_TIMERCOMPAREBL_RESETVALUE           0x00000000UL
#define _MAC_TIMERCOMPAREBL_MASK                 0x0000FFFFUL
#define _MAC_TIMERCOMPAREBL_COMPAREBL_SHIFT      0
#define _MAC_TIMERCOMPAREBL_COMPAREBL_MASK       0xFFFFUL
#define _MAC_TIMERCOMPAREBL_COMPAREBL_DEFAULT    0x00000000UL
#define MAC_TIMERCOMPAREBL_COMPAREBL_DEFAULT     (_MAC_TIMERCOMPAREBL_COMPAREBL_DEFAULT << 0)

/* Bit fields for MAC TIMERCAPTUREH */
#define _MAC_TIMERCAPTUREH_RESETVALUE                0x00000000UL
#define _MAC_TIMERCAPTUREH_MASK                      0x0000000FUL
#define _MAC_TIMERCAPTUREH_SFDCAPTUREHIGH_SHIFT      0
#define _MAC_TIMERCAPTUREH_SFDCAPTUREHIGH_MASK       0xFUL
#define _MAC_TIMERCAPTUREH_SFDCAPTUREHIGH_DEFAULT    0x00000000UL
#define MAC_TIMERCAPTUREH_SFDCAPTUREHIGH_DEFAULT     (_MAC_TIMERCAPTUREH_SFDCAPTUREHIGH_DEFAULT << 0)

/* Bit fields for MAC TIMERCAPTUREL */
#define _MAC_TIMERCAPTUREL_RESETVALUE               0x00000000UL
#define _MAC_TIMERCAPTUREL_MASK                     0x0000FFFFUL
#define _MAC_TIMERCAPTUREL_SFDCAPTURELOW_SHIFT      0
#define _MAC_TIMERCAPTUREL_SFDCAPTURELOW_MASK       0xFFFFUL
#define _MAC_TIMERCAPTUREL_SFDCAPTURELOW_DEFAULT    0x00000000UL
#define MAC_TIMERCAPTUREL_SFDCAPTURELOW_DEFAULT     (_MAC_TIMERCAPTUREL_SFDCAPTURELOW_DEFAULT << 0)

/* Bit fields for MAC BOTIMER */
#define _MAC_BOTIMER_RESETVALUE         0x00000000UL
#define _MAC_BOTIMER_MASK               0x00000FFFUL
#define _MAC_BOTIMER_BOTIMER_SHIFT      0
#define _MAC_BOTIMER_BOTIMER_MASK       0xFFFUL
#define _MAC_BOTIMER_BOTIMER_DEFAULT    0x00000000UL
#define MAC_BOTIMER_BOTIMER_DEFAULT     (_MAC_BOTIMER_BOTIMER_DEFAULT << 0)

/* Bit fields for MAC BOPTIMER */
#define _MAC_BOPTIMER_RESETVALUE          0x00000000UL
#define _MAC_BOPTIMER_MASK                0x0000007FUL
#define _MAC_BOPTIMER_BOPTIMER_SHIFT      0
#define _MAC_BOPTIMER_BOPTIMER_MASK       0x7FUL
#define _MAC_BOPTIMER_BOPTIMER_DEFAULT    0x00000000UL
#define MAC_BOPTIMER_BOPTIMER_DEFAULT     (_MAC_BOPTIMER_BOPTIMER_DEFAULT << 0)

/* Bit fields for MAC TXSTROBE */
#define _MAC_TXSTROBE_RESETVALUE           0x00000000UL
#define _MAC_TXSTROBE_MASK                 0x0000000FUL
#define MAC_TXSTROBE_AUTOCRCTX             (0x1UL << 3)
#define _MAC_TXSTROBE_AUTOCRCTX_SHIFT      3
#define _MAC_TXSTROBE_AUTOCRCTX_MASK       0x8UL
#define _MAC_TXSTROBE_AUTOCRCTX_DEFAULT    0x00000000UL
#define MAC_TXSTROBE_AUTOCRCTX_DEFAULT     (_MAC_TXSTROBE_AUTOCRCTX_DEFAULT << 3)
#define MAC_TXSTROBE_CCAON                 (0x1UL << 2)
#define _MAC_TXSTROBE_CCAON_SHIFT          2
#define _MAC_TXSTROBE_CCAON_MASK           0x4UL
#define _MAC_TXSTROBE_CCAON_DEFAULT        0x00000000UL
#define MAC_TXSTROBE_CCAON_DEFAULT         (_MAC_TXSTROBE_CCAON_DEFAULT << 2)
#define MAC_TXSTROBE_TXRST                 (0x1UL << 1)
#define _MAC_TXSTROBE_TXRST_SHIFT          1
#define _MAC_TXSTROBE_TXRST_MASK           0x2UL
#define _MAC_TXSTROBE_TXRST_DEFAULT        0x00000000UL
#define MAC_TXSTROBE_TXRST_DEFAULT         (_MAC_TXSTROBE_TXRST_DEFAULT << 1)
#define MAC_TXSTROBE_STARTTX               (0x1UL << 0)
#define _MAC_TXSTROBE_STARTTX_SHIFT        0
#define _MAC_TXSTROBE_STARTTX_MASK         0x1UL
#define _MAC_TXSTROBE_STARTTX_DEFAULT      0x00000000UL
#define MAC_TXSTROBE_STARTTX_DEFAULT       (_MAC_TXSTROBE_STARTTX_DEFAULT << 0)

/* Bit fields for MAC ACKSTROBE */
#define _MAC_ACKSTROBE_RESETVALUE              0x00000000UL
#define _MAC_ACKSTROBE_MASK                    0x00000003UL
#define MAC_ACKSTROBE_MANUALACK                (0x1UL << 1)
#define _MAC_ACKSTROBE_MANUALACK_SHIFT         1
#define _MAC_ACKSTROBE_MANUALACK_MASK          0x2UL
#define _MAC_ACKSTROBE_MANUALACK_DEFAULT       0x00000000UL
#define MAC_ACKSTROBE_MANUALACK_DEFAULT        (_MAC_ACKSTROBE_MANUALACK_DEFAULT << 1)
#define MAC_ACKSTROBE_FRAMEPENDING             (0x1UL << 0)
#define _MAC_ACKSTROBE_FRAMEPENDING_SHIFT      0
#define _MAC_ACKSTROBE_FRAMEPENDING_MASK       0x1UL
#define _MAC_ACKSTROBE_FRAMEPENDING_DEFAULT    0x00000000UL
#define MAC_ACKSTROBE_FRAMEPENDING_DEFAULT     (_MAC_ACKSTROBE_FRAMEPENDING_DEFAULT << 0)

/* Bit fields for MAC STATUS */
#define _MAC_STATUS_RESETVALUE               0x00000000UL
#define _MAC_STATUS_MASK                     0x00000FFFUL
#define MAC_STATUS_RXBPENDTXACK              (0x1UL << 11)
#define _MAC_STATUS_RXBPENDTXACK_SHIFT       11
#define _MAC_STATUS_RXBPENDTXACK_MASK        0x800UL
#define _MAC_STATUS_RXBPENDTXACK_DEFAULT     0x00000000UL
#define MAC_STATUS_RXBPENDTXACK_DEFAULT      (_MAC_STATUS_RXBPENDTXACK_DEFAULT << 11)
#define MAC_STATUS_RXAPENDTXACK              (0x1UL << 10)
#define _MAC_STATUS_RXAPENDTXACK_SHIFT       10
#define _MAC_STATUS_RXAPENDTXACK_MASK        0x400UL
#define _MAC_STATUS_RXAPENDTXACK_DEFAULT     0x00000000UL
#define MAC_STATUS_RXAPENDTXACK_DEFAULT      (_MAC_STATUS_RXAPENDTXACK_DEFAULT << 10)
#define MAC_STATUS_RXBLASTUNLOAD             (0x1UL << 9)
#define _MAC_STATUS_RXBLASTUNLOAD_SHIFT      9
#define _MAC_STATUS_RXBLASTUNLOAD_MASK       0x200UL
#define _MAC_STATUS_RXBLASTUNLOAD_DEFAULT    0x00000000UL
#define MAC_STATUS_RXBLASTUNLOAD_DEFAULT     (_MAC_STATUS_RXBLASTUNLOAD_DEFAULT << 9)
#define MAC_STATUS_RXALASTUNLOAD             (0x1UL << 8)
#define _MAC_STATUS_RXALASTUNLOAD_SHIFT      8
#define _MAC_STATUS_RXALASTUNLOAD_MASK       0x100UL
#define _MAC_STATUS_RXALASTUNLOAD_DEFAULT    0x00000000UL
#define MAC_STATUS_RXALASTUNLOAD_DEFAULT     (_MAC_STATUS_RXALASTUNLOAD_DEFAULT << 8)
#define MAC_STATUS_WRONGFORMAT               (0x1UL << 7)
#define _MAC_STATUS_WRONGFORMAT_SHIFT        7
#define _MAC_STATUS_WRONGFORMAT_MASK         0x80UL
#define _MAC_STATUS_WRONGFORMAT_DEFAULT      0x00000000UL
#define MAC_STATUS_WRONGFORMAT_DEFAULT       (_MAC_STATUS_WRONGFORMAT_DEFAULT << 7)
#define MAC_STATUS_WRONGADDRESS              (0x1UL << 6)
#define _MAC_STATUS_WRONGADDRESS_SHIFT       6
#define _MAC_STATUS_WRONGADDRESS_MASK        0x40UL
#define _MAC_STATUS_WRONGADDRESS_DEFAULT     0x00000000UL
#define MAC_STATUS_WRONGADDRESS_DEFAULT      (_MAC_STATUS_WRONGADDRESS_DEFAULT << 6)
#define MAC_STATUS_RXACKREC                  (0x1UL << 5)
#define _MAC_STATUS_RXACKREC_SHIFT           5
#define _MAC_STATUS_RXACKREC_MASK            0x20UL
#define _MAC_STATUS_RXACKREC_DEFAULT         0x00000000UL
#define MAC_STATUS_RXACKREC_DEFAULT          (_MAC_STATUS_RXACKREC_DEFAULT << 5)
#define MAC_STATUS_SENDINGACK                (0x1UL << 4)
#define _MAC_STATUS_SENDINGACK_SHIFT         4
#define _MAC_STATUS_SENDINGACK_MASK          0x10UL
#define _MAC_STATUS_SENDINGACK_DEFAULT       0x00000000UL
#define MAC_STATUS_SENDINGACK_DEFAULT        (_MAC_STATUS_SENDINGACK_DEFAULT << 4)
#define MAC_STATUS_RUNBO                     (0x1UL << 3)
#define _MAC_STATUS_RUNBO_SHIFT              3
#define _MAC_STATUS_RUNBO_MASK               0x8UL
#define _MAC_STATUS_RUNBO_DEFAULT            0x00000000UL
#define MAC_STATUS_RUNBO_DEFAULT             (_MAC_STATUS_RUNBO_DEFAULT << 3)
#define MAC_STATUS_TXFRAME                   (0x1UL << 2)
#define _MAC_STATUS_TXFRAME_SHIFT            2
#define _MAC_STATUS_TXFRAME_MASK             0x4UL
#define _MAC_STATUS_TXFRAME_DEFAULT          0x00000000UL
#define MAC_STATUS_TXFRAME_DEFAULT           (_MAC_STATUS_TXFRAME_DEFAULT << 2)
#define MAC_STATUS_RXFRAME                   (0x1UL << 1)
#define _MAC_STATUS_RXFRAME_SHIFT            1
#define _MAC_STATUS_RXFRAME_MASK             0x2UL
#define _MAC_STATUS_RXFRAME_DEFAULT          0x00000000UL
#define MAC_STATUS_RXFRAME_DEFAULT           (_MAC_STATUS_RXFRAME_DEFAULT << 1)
#define MAC_STATUS_RXCRCPASS                 (0x1UL << 0)
#define _MAC_STATUS_RXCRCPASS_SHIFT          0
#define _MAC_STATUS_RXCRCPASS_MASK           0x1UL
#define _MAC_STATUS_RXCRCPASS_DEFAULT        0x00000000UL
#define MAC_STATUS_RXCRCPASS_DEFAULT         (_MAC_STATUS_RXCRCPASS_DEFAULT << 0)

/* Bit fields for MAC TXCRC */
#define _MAC_TXCRC_RESETVALUE       0x00000000UL
#define _MAC_TXCRC_MASK             0x0000FFFFUL
#define _MAC_TXCRC_TXCRC_SHIFT      0
#define _MAC_TXCRC_TXCRC_MASK       0xFFFFUL
#define _MAC_TXCRC_TXCRC_DEFAULT    0x00000000UL
#define MAC_TXCRC_TXCRC_DEFAULT     (_MAC_TXCRC_TXCRC_DEFAULT << 0)

/* Bit fields for MAC RXCRC */
#define _MAC_RXCRC_RESETVALUE       0x00000000UL
#define _MAC_RXCRC_MASK             0x0000FFFFUL
#define _MAC_RXCRC_RXCRC_SHIFT      0
#define _MAC_RXCRC_RXCRC_MASK       0xFFFFUL
#define _MAC_RXCRC_RXCRC_DEFAULT    0x00000000UL
#define MAC_RXCRC_RXCRC_DEFAULT     (_MAC_RXCRC_RXCRC_DEFAULT << 0)

/* Bit fields for MAC ACKTO */
#define _MAC_ACKTO_RESETVALUE       0x00000300UL
#define _MAC_ACKTO_MASK             0x00003FFFUL
#define _MAC_ACKTO_ACKTO_SHIFT      0
#define _MAC_ACKTO_ACKTO_MASK       0x3FFFUL
#define _MAC_ACKTO_ACKTO_DEFAULT    0x00000300UL
#define MAC_ACKTO_ACKTO_DEFAULT     (_MAC_ACKTO_ACKTO_DEFAULT << 0)

/* Bit fields for MAC BOPCOMPARE */
#define _MAC_BOPCOMPARE_RESETVALUE            0x00000014UL
#define _MAC_BOPCOMPARE_MASK                  0x0000007FUL
#define _MAC_BOPCOMPARE_BOPCOMPARE_SHIFT      0
#define _MAC_BOPCOMPARE_BOPCOMPARE_MASK       0x7FUL
#define _MAC_BOPCOMPARE_BOPCOMPARE_DEFAULT    0x00000014UL
#define MAC_BOPCOMPARE_BOPCOMPARE_DEFAULT     (_MAC_BOPCOMPARE_BOPCOMPARE_DEFAULT << 0)

/* Bit fields for MAC TXACKFRAME */
#define _MAC_TXACKFRAME_RESETVALUE           0x00000002UL
#define _MAC_TXACKFRAME_MASK                 0x0000FFFFUL
#define _MAC_TXACKFRAME_ACKSRCAM_SHIFT       14
#define _MAC_TXACKFRAME_ACKSRCAM_MASK        0xC000UL
#define _MAC_TXACKFRAME_ACKSRCAM_DEFAULT     0x00000000UL
#define MAC_TXACKFRAME_ACKSRCAM_DEFAULT      (_MAC_TXACKFRAME_ACKSRCAM_DEFAULT << 14)
#define _MAC_TXACKFRAME_RES1213_SHIFT        12
#define _MAC_TXACKFRAME_RES1213_MASK         0x3000UL
#define _MAC_TXACKFRAME_RES1213_DEFAULT      0x00000000UL
#define MAC_TXACKFRAME_RES1213_DEFAULT       (_MAC_TXACKFRAME_RES1213_DEFAULT << 12)
#define _MAC_TXACKFRAME_ACKDSTAM_SHIFT       10
#define _MAC_TXACKFRAME_ACKDSTAM_MASK        0xC00UL
#define _MAC_TXACKFRAME_ACKDSTAM_DEFAULT     0x00000000UL
#define MAC_TXACKFRAME_ACKDSTAM_DEFAULT      (_MAC_TXACKFRAME_ACKDSTAM_DEFAULT << 10)
#define _MAC_TXACKFRAME_RES789_SHIFT         7
#define _MAC_TXACKFRAME_RES789_MASK          0x380UL
#define _MAC_TXACKFRAME_RES789_DEFAULT       0x00000000UL
#define MAC_TXACKFRAME_RES789_DEFAULT        (_MAC_TXACKFRAME_RES789_DEFAULT << 7)
#define MAC_TXACKFRAME_ACKIP                 (0x1UL << 6)
#define _MAC_TXACKFRAME_ACKIP_SHIFT          6
#define _MAC_TXACKFRAME_ACKIP_MASK           0x40UL
#define _MAC_TXACKFRAME_ACKIP_DEFAULT        0x00000000UL
#define MAC_TXACKFRAME_ACKIP_DEFAULT         (_MAC_TXACKFRAME_ACKIP_DEFAULT << 6)
#define MAC_TXACKFRAME_ACKACKREQ             (0x1UL << 5)
#define _MAC_TXACKFRAME_ACKACKREQ_SHIFT      5
#define _MAC_TXACKFRAME_ACKACKREQ_MASK       0x20UL
#define _MAC_TXACKFRAME_ACKACKREQ_DEFAULT    0x00000000UL
#define MAC_TXACKFRAME_ACKACKREQ_DEFAULT     (_MAC_TXACKFRAME_ACKACKREQ_DEFAULT << 5)
#define MAC_TXACKFRAME_ACKFRAMEP             (0x1UL << 4)
#define _MAC_TXACKFRAME_ACKFRAMEP_SHIFT      4
#define _MAC_TXACKFRAME_ACKFRAMEP_MASK       0x10UL
#define _MAC_TXACKFRAME_ACKFRAMEP_DEFAULT    0x00000000UL
#define MAC_TXACKFRAME_ACKFRAMEP_DEFAULT     (_MAC_TXACKFRAME_ACKFRAMEP_DEFAULT << 4)
#define MAC_TXACKFRAME_ACKSECEN              (0x1UL << 3)
#define _MAC_TXACKFRAME_ACKSECEN_SHIFT       3
#define _MAC_TXACKFRAME_ACKSECEN_MASK        0x8UL
#define _MAC_TXACKFRAME_ACKSECEN_DEFAULT     0x00000000UL
#define MAC_TXACKFRAME_ACKSECEN_DEFAULT      (_MAC_TXACKFRAME_ACKSECEN_DEFAULT << 3)
#define _MAC_TXACKFRAME_ACKFRAMET_SHIFT      0
#define _MAC_TXACKFRAME_ACKFRAMET_MASK       0x7UL
#define _MAC_TXACKFRAME_ACKFRAMET_DEFAULT    0x00000002UL
#define MAC_TXACKFRAME_ACKFRAMET_DEFAULT     (_MAC_TXACKFRAME_ACKFRAMET_DEFAULT << 0)

/* Bit fields for MAC CONFIG */
#define _MAC_CONFIG_RESETVALUE            0x00000000UL
#define _MAC_CONFIG_MASK                  0x00000007UL
#define MAC_CONFIG_RSSIINSTEN             (0x1UL << 2)
#define _MAC_CONFIG_RSSIINSTEN_SHIFT      2
#define _MAC_CONFIG_RSSIINSTEN_MASK       0x4UL
#define _MAC_CONFIG_RSSIINSTEN_DEFAULT    0x00000000UL
#define MAC_CONFIG_RSSIINSTEN_DEFAULT     (_MAC_CONFIG_RSSIINSTEN_DEFAULT << 2)
#define MAC_CONFIG_PTIEN                  (0x1UL << 1)
#define _MAC_CONFIG_PTIEN_SHIFT           1
#define _MAC_CONFIG_PTIEN_MASK            0x2UL
#define _MAC_CONFIG_PTIEN_DEFAULT         0x00000000UL
#define MAC_CONFIG_PTIEN_DEFAULT          (_MAC_CONFIG_PTIEN_DEFAULT << 1)
#define MAC_CONFIG_MACMODEEN              (0x1UL << 0)
#define _MAC_CONFIG_MACMODEEN_SHIFT       0
#define _MAC_CONFIG_MACMODEEN_MASK        0x1UL
#define _MAC_CONFIG_MACMODEEN_DEFAULT     0x00000000UL
#define MAC_CONFIG_MACMODEEN_DEFAULT      (_MAC_CONFIG_MACMODEEN_DEFAULT << 0)

/* Bit fields for MAC RXCONFIG */
#define _MAC_RXCONFIG_RESETVALUE                 0x00000000UL
#define _MAC_RXCONFIG_MASK                       0x000000FFUL
#define MAC_RXCONFIG_AUTOACK                     (0x1UL << 7)
#define _MAC_RXCONFIG_AUTOACK_SHIFT              7
#define _MAC_RXCONFIG_AUTOACK_MASK               0x80UL
#define _MAC_RXCONFIG_AUTOACK_DEFAULT            0x00000000UL
#define MAC_RXCONFIG_AUTOACK_DEFAULT             (_MAC_RXCONFIG_AUTOACK_DEFAULT << 7)
#define MAC_RXCONFIG_APPENDINFO                  (0x1UL << 6)
#define _MAC_RXCONFIG_APPENDINFO_SHIFT           6
#define _MAC_RXCONFIG_APPENDINFO_MASK            0x40UL
#define _MAC_RXCONFIG_APPENDINFO_DEFAULT         0x00000000UL
#define MAC_RXCONFIG_APPENDINFO_DEFAULT          (_MAC_RXCONFIG_APPENDINFO_DEFAULT << 6)
#define MAC_RXCONFIG_COORDINATOR                 (0x1UL << 5)
#define _MAC_RXCONFIG_COORDINATOR_SHIFT          5
#define _MAC_RXCONFIG_COORDINATOR_MASK           0x20UL
#define _MAC_RXCONFIG_COORDINATOR_DEFAULT        0x00000000UL
#define MAC_RXCONFIG_COORDINATOR_DEFAULT         (_MAC_RXCONFIG_COORDINATOR_DEFAULT << 5)
#define MAC_RXCONFIG_FILTADDRON                  (0x1UL << 4)
#define _MAC_RXCONFIG_FILTADDRON_SHIFT           4
#define _MAC_RXCONFIG_FILTADDRON_MASK            0x10UL
#define _MAC_RXCONFIG_FILTADDRON_DEFAULT         0x00000000UL
#define MAC_RXCONFIG_FILTADDRON_DEFAULT          (_MAC_RXCONFIG_FILTADDRON_DEFAULT << 4)
#define MAC_RXCONFIG_RESFILTPASSADDR             (0x1UL << 3)
#define _MAC_RXCONFIG_RESFILTPASSADDR_SHIFT      3
#define _MAC_RXCONFIG_RESFILTPASSADDR_MASK       0x8UL
#define _MAC_RXCONFIG_RESFILTPASSADDR_DEFAULT    0x00000000UL
#define MAC_RXCONFIG_RESFILTPASSADDR_DEFAULT     (_MAC_RXCONFIG_RESFILTPASSADDR_DEFAULT << 3)
#define MAC_RXCONFIG_RESFILTPASS                 (0x1UL << 2)
#define _MAC_RXCONFIG_RESFILTPASS_SHIFT          2
#define _MAC_RXCONFIG_RESFILTPASS_MASK           0x4UL
#define _MAC_RXCONFIG_RESFILTPASS_DEFAULT        0x00000000UL
#define MAC_RXCONFIG_RESFILTPASS_DEFAULT         (_MAC_RXCONFIG_RESFILTPASS_DEFAULT << 2)
#define MAC_RXCONFIG_FILTFORMATON                (0x1UL << 1)
#define _MAC_RXCONFIG_FILTFORMATON_SHIFT         1
#define _MAC_RXCONFIG_FILTFORMATON_MASK          0x2UL
#define _MAC_RXCONFIG_FILTFORMATON_DEFAULT       0x00000000UL
#define MAC_RXCONFIG_FILTFORMATON_DEFAULT        (_MAC_RXCONFIG_FILTFORMATON_DEFAULT << 1)
#define MAC_RXCONFIG_RXRST                       (0x1UL << 0)
#define _MAC_RXCONFIG_RXRST_SHIFT                0
#define _MAC_RXCONFIG_RXRST_MASK                 0x1UL
#define _MAC_RXCONFIG_RXRST_DEFAULT              0x00000000UL
#define MAC_RXCONFIG_RXRST_DEFAULT               (_MAC_RXCONFIG_RXRST_DEFAULT << 0)

/* Bit fields for MAC TXCONFIG */
#define _MAC_TXCONFIG_RESETVALUE             0x00000008UL
#define _MAC_TXCONFIG_MASK                   0x0000001FUL
#define MAC_TXCONFIG_SLOTTED                 (0x1UL << 4)
#define _MAC_TXCONFIG_SLOTTED_SHIFT          4
#define _MAC_TXCONFIG_SLOTTED_MASK           0x10UL
#define _MAC_TXCONFIG_SLOTTED_DEFAULT        0x00000000UL
#define MAC_TXCONFIG_SLOTTED_DEFAULT         (_MAC_TXCONFIG_SLOTTED_DEFAULT << 4)
#define MAC_TXCONFIG_CCADELAY                (0x1UL << 3)
#define _MAC_TXCONFIG_CCADELAY_SHIFT         3
#define _MAC_TXCONFIG_CCADELAY_MASK          0x8UL
#define _MAC_TXCONFIG_CCADELAY_DEFAULT       0x00000001UL
#define MAC_TXCONFIG_CCADELAY_DEFAULT        (_MAC_TXCONFIG_CCADELAY_DEFAULT << 3)
#define MAC_TXCONFIG_SLOTTEDACK              (0x1UL << 2)
#define _MAC_TXCONFIG_SLOTTEDACK_SHIFT       2
#define _MAC_TXCONFIG_SLOTTEDACK_MASK        0x4UL
#define _MAC_TXCONFIG_SLOTTEDACK_DEFAULT     0x00000000UL
#define MAC_TXCONFIG_SLOTTEDACK_DEFAULT      (_MAC_TXCONFIG_SLOTTEDACK_DEFAULT << 2)
#define MAC_TXCONFIG_INFINITECRC             (0x1UL << 1)
#define _MAC_TXCONFIG_INFINITECRC_SHIFT      1
#define _MAC_TXCONFIG_INFINITECRC_MASK       0x2UL
#define _MAC_TXCONFIG_INFINITECRC_DEFAULT    0x00000000UL
#define MAC_TXCONFIG_INFINITECRC_DEFAULT     (_MAC_TXCONFIG_INFINITECRC_DEFAULT << 1)
#define MAC_TXCONFIG_WAITACK                 (0x1UL << 0)
#define _MAC_TXCONFIG_WAITACK_SHIFT          0
#define _MAC_TXCONFIG_WAITACK_MASK           0x1UL
#define _MAC_TXCONFIG_WAITACK_DEFAULT        0x00000000UL
#define MAC_TXCONFIG_WAITACK_DEFAULT         (_MAC_TXCONFIG_WAITACK_DEFAULT << 0)

/* Bit fields for MAC TIMERCTRL */
#define _MAC_TIMERCTRL_RESETVALUE             0x00000000UL
#define _MAC_TIMERCTRL_MASK                   0x0000007FUL
#define MAC_TIMERCTRL_COMPASYNC               (0x1UL << 6)
#define _MAC_TIMERCTRL_COMPASYNC_SHIFT        6
#define _MAC_TIMERCTRL_COMPASYNC_MASK         0x40UL
#define _MAC_TIMERCTRL_COMPASYNC_DEFAULT      0x00000000UL
#define MAC_TIMERCTRL_COMPASYNC_DEFAULT       (_MAC_TIMERCTRL_COMPASYNC_DEFAULT << 6)
#define MAC_TIMERCTRL_BOPTIMERRST             (0x1UL << 5)
#define _MAC_TIMERCTRL_BOPTIMERRST_SHIFT      5
#define _MAC_TIMERCTRL_BOPTIMERRST_MASK       0x20UL
#define _MAC_TIMERCTRL_BOPTIMERRST_DEFAULT    0x00000000UL
#define MAC_TIMERCTRL_BOPTIMERRST_DEFAULT     (_MAC_TIMERCTRL_BOPTIMERRST_DEFAULT << 5)
#define MAC_TIMERCTRL_BOPTIMEREN              (0x1UL << 4)
#define _MAC_TIMERCTRL_BOPTIMEREN_SHIFT       4
#define _MAC_TIMERCTRL_BOPTIMEREN_MASK        0x10UL
#define _MAC_TIMERCTRL_BOPTIMEREN_DEFAULT     0x00000000UL
#define MAC_TIMERCTRL_BOPTIMEREN_DEFAULT      (_MAC_TIMERCTRL_BOPTIMEREN_DEFAULT << 4)
#define MAC_TIMERCTRL_BOTIMERRST              (0x1UL << 3)
#define _MAC_TIMERCTRL_BOTIMERRST_SHIFT       3
#define _MAC_TIMERCTRL_BOTIMERRST_MASK        0x8UL
#define _MAC_TIMERCTRL_BOTIMERRST_DEFAULT     0x00000000UL
#define MAC_TIMERCTRL_BOTIMERRST_DEFAULT      (_MAC_TIMERCTRL_BOTIMERRST_DEFAULT << 3)
#define MAC_TIMERCTRL_BOTIMEREN               (0x1UL << 2)
#define _MAC_TIMERCTRL_BOTIMEREN_SHIFT        2
#define _MAC_TIMERCTRL_BOTIMEREN_MASK         0x4UL
#define _MAC_TIMERCTRL_BOTIMEREN_DEFAULT      0x00000000UL
#define MAC_TIMERCTRL_BOTIMEREN_DEFAULT       (_MAC_TIMERCTRL_BOTIMEREN_DEFAULT << 2)
#define MAC_TIMERCTRL_TIMERRST                (0x1UL << 1)
#define _MAC_TIMERCTRL_TIMERRST_SHIFT         1
#define _MAC_TIMERCTRL_TIMERRST_MASK          0x2UL
#define _MAC_TIMERCTRL_TIMERRST_DEFAULT       0x00000000UL
#define MAC_TIMERCTRL_TIMERRST_DEFAULT        (_MAC_TIMERCTRL_TIMERRST_DEFAULT << 1)
#define MAC_TIMERCTRL_TIMEREN                 (0x1UL << 0)
#define _MAC_TIMERCTRL_TIMEREN_SHIFT          0
#define _MAC_TIMERCTRL_TIMEREN_MASK           0x1UL
#define _MAC_TIMERCTRL_TIMEREN_DEFAULT        0x00000000UL
#define MAC_TIMERCTRL_TIMEREN_DEFAULT         (_MAC_TIMERCTRL_TIMEREN_DEFAULT << 0)

/* Bit fields for MAC PANID */
#define _MAC_PANID_RESETVALUE       0x00000000UL
#define _MAC_PANID_MASK             0x0000FFFFUL
#define _MAC_PANID_PANID_SHIFT      0
#define _MAC_PANID_PANID_MASK       0xFFFFUL
#define _MAC_PANID_PANID_DEFAULT    0x00000000UL
#define MAC_PANID_PANID_DEFAULT     (_MAC_PANID_PANID_DEFAULT << 0)

/* Bit fields for MAC SHORTADDR */
#define _MAC_SHORTADDR_RESETVALUE           0x0000FFFEUL
#define _MAC_SHORTADDR_MASK                 0x0000FFFFUL
#define _MAC_SHORTADDR_SHORTADDR_SHIFT      0
#define _MAC_SHORTADDR_SHORTADDR_MASK       0xFFFFUL
#define _MAC_SHORTADDR_SHORTADDR_DEFAULT    0x0000FFFEUL
#define MAC_SHORTADDR_SHORTADDR_DEFAULT     (_MAC_SHORTADDR_SHORTADDR_DEFAULT << 0)

/* Bit fields for MAC EXTADDR0 */
#define _MAC_EXTADDR0_RESETVALUE          0x00000000UL
#define _MAC_EXTADDR0_MASK                0x0000FFFFUL
#define _MAC_EXTADDR0_EXTADDR0_SHIFT      0
#define _MAC_EXTADDR0_EXTADDR0_MASK       0xFFFFUL
#define _MAC_EXTADDR0_EXTADDR0_DEFAULT    0x00000000UL
#define MAC_EXTADDR0_EXTADDR0_DEFAULT     (_MAC_EXTADDR0_EXTADDR0_DEFAULT << 0)

/* Bit fields for MAC EXTADDR1 */
#define _MAC_EXTADDR1_RESETVALUE          0x00000000UL
#define _MAC_EXTADDR1_MASK                0x0000FFFFUL
#define _MAC_EXTADDR1_EXTADDR1_SHIFT      0
#define _MAC_EXTADDR1_EXTADDR1_MASK       0xFFFFUL
#define _MAC_EXTADDR1_EXTADDR1_DEFAULT    0x00000000UL
#define MAC_EXTADDR1_EXTADDR1_DEFAULT     (_MAC_EXTADDR1_EXTADDR1_DEFAULT << 0)

/* Bit fields for MAC EXTADDR2 */
#define _MAC_EXTADDR2_RESETVALUE          0x00000000UL
#define _MAC_EXTADDR2_MASK                0x0000FFFFUL
#define _MAC_EXTADDR2_EXTADDR2_SHIFT      0
#define _MAC_EXTADDR2_EXTADDR2_MASK       0xFFFFUL
#define _MAC_EXTADDR2_EXTADDR2_DEFAULT    0x00000000UL
#define MAC_EXTADDR2_EXTADDR2_DEFAULT     (_MAC_EXTADDR2_EXTADDR2_DEFAULT << 0)

/* Bit fields for MAC EXTADDR3 */
#define _MAC_EXTADDR3_RESETVALUE          0x00000000UL
#define _MAC_EXTADDR3_MASK                0x0000FFFFUL
#define _MAC_EXTADDR3_EXTADDR3_SHIFT      0
#define _MAC_EXTADDR3_EXTADDR3_MASK       0xFFFFUL
#define _MAC_EXTADDR3_EXTADDR3_DEFAULT    0x00000000UL
#define MAC_EXTADDR3_EXTADDR3_DEFAULT     (_MAC_EXTADDR3_EXTADDR3_DEFAULT << 0)

/* Bit fields for MAC STATE */
#define _MAC_STATE_RESETVALUE          0x00000000UL
#define _MAC_STATE_MASK                0x000007FFUL
#define _MAC_STATE_SPYSTATE_SHIFT      8
#define _MAC_STATE_SPYSTATE_MASK       0x700UL
#define _MAC_STATE_SPYSTATE_DEFAULT    0x00000000UL
#define MAC_STATE_SPYSTATE_DEFAULT     (_MAC_STATE_SPYSTATE_DEFAULT << 8)
#define _MAC_STATE_ACKSTATE_SHIFT      6
#define _MAC_STATE_ACKSTATE_MASK       0xC0UL
#define _MAC_STATE_ACKSTATE_DEFAULT    0x00000000UL
#define MAC_STATE_ACKSTATE_DEFAULT     (_MAC_STATE_ACKSTATE_DEFAULT << 6)
#define _MAC_STATE_BOSTATE_SHIFT       2
#define _MAC_STATE_BOSTATE_MASK        0x3CUL
#define _MAC_STATE_BOSTATE_DEFAULT     0x00000000UL
#define MAC_STATE_BOSTATE_DEFAULT      (_MAC_STATE_BOSTATE_DEFAULT << 2)
#define _MAC_STATE_TOPSTATE_SHIFT      0
#define _MAC_STATE_TOPSTATE_MASK       0x3UL
#define _MAC_STATE_TOPSTATE_DEFAULT    0x00000000UL
#define MAC_STATE_TOPSTATE_DEFAULT     (_MAC_STATE_TOPSTATE_DEFAULT << 0)

/* Bit fields for MAC RXSTATE */
#define _MAC_RXSTATE_RESETVALUE               0x00000000UL
#define _MAC_RXSTATE_MASK                     0x000001FFUL
#define _MAC_RXSTATE_RXBUFFERSTATE_SHIFT      5
#define _MAC_RXSTATE_RXBUFFERSTATE_MASK       0x1E0UL
#define _MAC_RXSTATE_RXBUFFERSTATE_DEFAULT    0x00000000UL
#define MAC_RXSTATE_RXBUFFERSTATE_DEFAULT     (_MAC_RXSTATE_RXBUFFERSTATE_DEFAULT << 5)
#define _MAC_RXSTATE_RXTOPSTATE_SHIFT         0
#define _MAC_RXSTATE_RXTOPSTATE_MASK          0x1FUL
#define _MAC_RXSTATE_RXTOPSTATE_DEFAULT       0x00000000UL
#define MAC_RXSTATE_RXTOPSTATE_DEFAULT        (_MAC_RXSTATE_RXTOPSTATE_DEFAULT << 0)

/* Bit fields for MAC TXSTATE */
#define _MAC_TXSTATE_RESETVALUE               0x00000000UL
#define _MAC_TXSTATE_MASK                     0x000000FFUL
#define _MAC_TXSTATE_TXBUFFERSTATE_SHIFT      4
#define _MAC_TXSTATE_TXBUFFERSTATE_MASK       0xF0UL
#define _MAC_TXSTATE_TXBUFFERSTATE_DEFAULT    0x00000000UL
#define MAC_TXSTATE_TXBUFFERSTATE_DEFAULT     (_MAC_TXSTATE_TXBUFFERSTATE_DEFAULT << 4)
#define _MAC_TXSTATE_TXTOPSTATE_SHIFT         0
#define _MAC_TXSTATE_TXTOPSTATE_MASK          0xFUL
#define _MAC_TXSTATE_TXTOPSTATE_DEFAULT       0x00000000UL
#define MAC_TXSTATE_TXTOPSTATE_DEFAULT        (_MAC_TXSTATE_TXTOPSTATE_DEFAULT << 0)

/* Bit fields for MAC DMASTATE */
#define _MAC_DMASTATE_RESETVALUE            0x00000000UL
#define _MAC_DMASTATE_MASK                  0x0000003FUL
#define _MAC_DMASTATE_DMARXSTATE_SHIFT      3
#define _MAC_DMASTATE_DMARXSTATE_MASK       0x38UL
#define _MAC_DMASTATE_DMARXSTATE_DEFAULT    0x00000000UL
#define MAC_DMASTATE_DMARXSTATE_DEFAULT     (_MAC_DMASTATE_DMARXSTATE_DEFAULT << 3)
#define _MAC_DMASTATE_DMATXSTATE_SHIFT      0
#define _MAC_DMASTATE_DMATXSTATE_MASK       0x7UL
#define _MAC_DMASTATE_DMATXSTATE_DEFAULT    0x00000000UL
#define MAC_DMASTATE_DMATXSTATE_DEFAULT     (_MAC_DMASTATE_DMATXSTATE_DEFAULT << 0)

/* Bit fields for MAC DBG */
#define _MAC_DBG_RESETVALUE            0x00000000UL
#define _MAC_DBG_MASK                  0x0000007FUL
#define _MAC_DBG_SWDEBUGOUT_SHIFT      5
#define _MAC_DBG_SWDEBUGOUT_MASK       0x60UL
#define _MAC_DBG_SWDEBUGOUT_DEFAULT    0x00000000UL
#define MAC_DBG_SWDEBUGOUT_DEFAULT     (_MAC_DBG_SWDEBUGOUT_DEFAULT << 5)
#define _MAC_DBG_DEBUGMUX_SHIFT        0
#define _MAC_DBG_DEBUGMUX_MASK         0x1FUL
#define _MAC_DBG_DEBUGMUX_DEFAULT      0x00000000UL
#define MAC_DBG_DEBUGMUX_DEFAULT       (_MAC_DBG_DEBUGMUX_DEFAULT << 0)

/* Bit fields for MAC DBGVIEW */
#define _MAC_DBGVIEW_RESETVALUE           0x00000010UL
#define _MAC_DBGVIEW_MASK                 0x0000FFFFUL
#define _MAC_DBGVIEW_DEBUGVIEW_SHIFT      0
#define _MAC_DBGVIEW_DEBUGVIEW_MASK       0xFFFFUL
#define _MAC_DBGVIEW_DEBUGVIEW_DEFAULT    0x00000010UL
#define MAC_DBGVIEW_DEBUGVIEW_DEFAULT     (_MAC_DBGVIEW_DEBUGVIEW_DEFAULT << 0)

/* Bit fields for MAC RSSIDELAY */
#define _MAC_RSSIDELAY_RESETVALUE                 0x00000000UL
#define _MAC_RSSIDELAY_MASK                       0x00000FFFUL
#define _MAC_RSSIDELAY_RSSIINSTDELAYOK_SHIFT      6
#define _MAC_RSSIDELAY_RSSIINSTDELAYOK_MASK       0xFC0UL
#define _MAC_RSSIDELAY_RSSIINSTDELAYOK_DEFAULT    0x00000000UL
#define MAC_RSSIDELAY_RSSIINSTDELAYOK_DEFAULT     (_MAC_RSSIDELAY_RSSIINSTDELAYOK_DEFAULT << 6)
#define _MAC_RSSIDELAY_RSSIINSTDELAY_SHIFT        0
#define _MAC_RSSIDELAY_RSSIINSTDELAY_MASK         0x3FUL
#define _MAC_RSSIDELAY_RSSIINSTDELAY_DEFAULT      0x00000000UL
#define MAC_RSSIDELAY_RSSIINSTDELAY_DEFAULT       (_MAC_RSSIDELAY_RSSIINSTDELAY_DEFAULT << 0)

/* Bit fields for MAC PANIDCOUNT */
#define _MAC_PANIDCOUNT_RESETVALUE            0x00000000UL
#define _MAC_PANIDCOUNT_MASK                  0x0000FFFFUL
#define _MAC_PANIDCOUNT_PANIDCOUNT_SHIFT      0
#define _MAC_PANIDCOUNT_PANIDCOUNT_MASK       0xFFFFUL
#define _MAC_PANIDCOUNT_PANIDCOUNT_DEFAULT    0x00000000UL
#define MAC_PANIDCOUNT_PANIDCOUNT_DEFAULT     (_MAC_PANIDCOUNT_PANIDCOUNT_DEFAULT << 0)

/* Bit fields for MAC NONPANCOUNT */
#define _MAC_NONPANCOUNT_RESETVALUE             0x00000000UL
#define _MAC_NONPANCOUNT_MASK                   0x0000FFFFUL
#define _MAC_NONPANCOUNT_NONPANCOUNT_SHIFT      0
#define _MAC_NONPANCOUNT_NONPANCOUNT_MASK       0xFFFFUL
#define _MAC_NONPANCOUNT_NONPANCOUNT_DEFAULT    0x00000000UL
#define MAC_NONPANCOUNT_NONPANCOUNT_DEFAULT     (_MAC_NONPANCOUNT_NONPANCOUNT_DEFAULT << 0)

/** @} End of group EM359X_MAC_BitFields */

#endif // EM359X_MAC_H
